Upgrade still has fatal error for Appointments+

http://corestrengthsstrategies.com/one-time/
Updated to new release and all calendar pages show this:

Warning: Illegal string offset 'start' in /home4/ab24923/public_html/wp-content/plugins/appointments/appointments.php on line 2951

Warning: Illegal string offset 'end' in /home4/ab24923/public_html/wp-content/plugins/appointments/appointments.php on line 2952

Do I just keep rolling back and never update this plugin or what?